<?xml version="1.0" encoding="utf-8"?>
<com.yidian.nightmode.widget.YdConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingTop="17dp"
    android:paddingBottom="6dp">

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_face_auth"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:text="@string/face_auth"
        android:textColor="#FF333333"
        android:textSize="15sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_face_auth_result"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="2dp"
        android:includeFontPadding="false"
        android:text="@string/face_auth_success"
        android:textColor="#FF6BB81F"
        android:textSize="15sp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_face_auth_start"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="@dimen/dp2"
        android:drawableEnd="@drawable/icon_next"
        android:text="@string/start_face_auth"
        android:textColor="#FF1852F1"
        android:textSize="15sp"
        app:layout_constraintBottom_toBottomOf="@id/tv_face_auth"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_face_auth" />

    <View
        android:id="@+id/view_divider"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginTop="17dp"
        android:layout_marginEnd="7dp"
        android:background="#FFF2F2F2"
        app:layout_constraintTop_toBottomOf="@id/tv_face_auth" />

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_face_auth_error_tips"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:includeFontPadding="false"
        android:textColor="#FFFF3A3A"
        android:textSize="12sp"
        app:layout_constraintTop_toBottomOf="@id/view_divider" />

</com.yidian.nightmode.widget.YdConstraintLayout>